## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   just-perfection
%global uuid        %{extension}-desktop@%{extension}
# Define a commit here to switch to snapshot versioning.  Note that just adding
# a `#` to the beginning of this line is insufficient to disable snapshot
# versioning, as RPM allows you to define macros anywhere, even in comments.
#global commit      3f4d08d70aad022b231467b71dc495286a06b27b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-shell-extension-%{extension}
Version:        24.0%{?commit:^1.%{shortcommit}}
Release:        %autorelease
Summary:        Extension to Customize GNOME Shell and Disable UI Elements
License:        GPL-3.0-only
URL:            https://gitlab.gnome.org/jrahmatzadeh/just-perfection
%if %{defined commit}
Source:         %{url}/-/archive/%{commit}/%{extension}-%{shortcommit}.tar.gz
%else
Source:         %{url}/-/archive/%{version}/%{extension}-%{version}.tar.gz
%endif

BuildArch:      noarch
BuildRequires:  gettext
Requires:       gnome-shell >= 3.36
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
%{summary}.


%prep
%autosetup -n %{extension}-%{?commit:%{commit}}%{!?commit:%{version}}

# we will be putting the schema xml file into a different location
mv src/schemas .

# fix spurious-executable-perm and script-without-shebang rpmlint warnings/errors
find -type f -print -exec chmod 644 {} \;


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions
cp -r --preserve=timestamps src %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
pushd po
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Thu Mar 02 2023 Carl George <carl@george.computer> - 24.0-1
- Update to version 24.0, resolves rhbz#2174579

* Thu Feb 23 2023 Carl George <carl@george.computer> - 23.0^1.3f4d08d-1
- Update to upstream snapshot for GNOME 44 support

* Sat Feb 11 2023 Carl George <carl@george.computer> - 23.0-1
- Update to version 23.0, resolves rhbz#2168927

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 11 2022 Carl George <carl@george.computer> - 22.0-1
- Update to version 22.0, resolves rhbz#2125818

* Sat Aug 27 2022 Carl George <carl@george.computer> - 21.0^1.c6a1c4c-1
- Latest upstream snapshot for GNOME 43 support

* Sat Aug 27 2022 Carl George <carl@george.computer> - 21.0-1
- Latest upstream, resolves rhbz#2116039

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 30 2022 Carl George <carl@george.computer> - 20.0-1
- Latest upstream, resolves rhbz#2102833

* Sun Mar 20 2022 Carl George <carl@george.computer> - 19.0-1
- Update to version 19 (GNOME 42 compatibility)

* Sun Jan 23 2022 Carl George <carl@george.computer> - 16.0^1.241722c-1
- Latest upstream snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 19 2021 Carl George <carl@george.computer> - 16.0-1
- Initial package
